Application: gvSIG desktop - gvSIG bugs #5169
Falla cuando se crea un MemoryFeatureStore que no contenga geometrias.
11/26/2019 11:34 AM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.5.1-3001 (rev. org.gvsig.deskiop-2.0.259)

Severity: Minor Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 5156: Falla terminar ... Closed 11/19/2019

Associated revisions

Revision 44617 - 11/26/2019 04:40 PM - Joaquin del Cerro Murciano

refs #5169, Afadido a los metodos setCoordinateAt/addVertex/insertVertex/setVertex/ensureCapacity de OrientablePrimitive que devuelban la
geometria que estan modificando para facilitar la constuccion de geometrias.

Revision 44618 - 11/26/2019 04:43 PM - Joaquin del Cerro Murciano

refs #5169, Anadido test sobre stores de features en memoria que no contengan geometrias y corregidos los errores que habian con estos. Se han

actualizado tamien los test de estos con geometrias.

History

#1 - 11/26/2019 04:46 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

He afadido test en dap.impl sobre memory stores de features que no contengan geometrias y he corregido los errores que se daban.

Falta probar que la carga de accidentes de ARENA2 en BBDD funciona correctamente sin tener que afiadir a las incidencias una geometria que
afadi por que sin ella fallaba.

#2 - 11/26/2019 04:54 PM - Joaquin del Cerro Murciano

- Duplicated by gvSIG bugs #5156: Falla terminar edicion en un store en memoria si no tiene geometrias added

#3 - 01/21/2020 07:42 PM - Alvaro Anguix
- Status changed from Fixed to Closed
